﻿using MimeKit;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IEmailService
    {
        Task<ServiceResult<bool>> SendEmailAsync(MimeMessage message);

        Task<ServiceResult<bool>> NotifyNewPostOrMessage(PostCreateDto postCreateDto, List<string> mails);

        public Task<ServiceResult<bool>> SendVerificationCode(string mail, int code);
    }
}
