﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Forum
    {
        public Forum()
        {
            Posts = new HashSet<Post>();
            ForumUsers = new HashSet<ForumUser>();
        }

        public int Id { get; set; }
        public string Name { get; set; }
        public bool IsAutomaticSubscription { get; set; }

        public SectionItem SectionItem { get; set; }
        public ICollection<Post> Posts { get; set; }
        public ICollection<ForumUser> ForumUsers { get; set; }
    }
}
