﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Student
    {
        public Student()
        {
            StudentCourses = new HashSet<StudentCourse>();
            EvaluationInscriptions = new HashSet<EvaluationInscription>();
            Submissions = new HashSet<Submission>();
        }

        public int Id { get; set; }
        
        public string IdentityCard { get; set; }
        
        public int Age { get; set; }

        public int TenantId { get; set; }

        public Tenant Tenant { get; set; }
        public User User { get; set; }
        public ICollection<StudentCourse> StudentCourses { get; set; }

        public ICollection<EvaluationInscription> EvaluationInscriptions { get; set; }

        public ICollection<Submission> Submissions { get; set; }
    }
}
